﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="exemplo_SS_datasource.aspx.cs" Inherits="WebApplication1.exemplo_SS_datasource" %>

<%@ Register Assembly="Libero.FusionCharts" Namespace="Libero.FusionCharts.Control" TagPrefix="fcl" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title></title>
    <style>
    body
        {
        	font-family: Calibri, Arial, Tahoma;
        }
        .container
        {
    	    width:800px;
    	    border:solid 1px #ccc;
    	    padding-top: 10px;
    	    padding-bottom:10px;
        }
    pre
	{margin-bottom:.0001pt;
	font-size:10.0pt;
	font-family:"Courier New";
	        margin-left: 0cm;
            margin-right: 0cm;
            margin-top: 0cm;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <h3>Single Series Chart, adding data from a datasource.</h3>

        <fcl:FChart runat="server" ID="chtTopSalles" Width="530" Height="300" />
        <br />
        <br />

        Supose your data is comming from a database in the following way: 
        <div class="container">
        <img src="images/ds01.png" />
        </div>
        <br />

        In your ASPX page you simply need to add a FChart control. It acts just as a place holder for the chart. 
        <br />
        Here you’ll also define the width and height of your chart.
        <div class="container">
        
            <pre><span style="font-family: Consolas; background: yellow">&lt;%</span><span 
                style="font-family:Consolas;color:blue">@</span><span 
                style="font-family:Consolas">&nbsp;<span style="color:maroon">Register</span>&nbsp;<span 
                style="color:red">Assembly</span><span style="color:blue">=&quot;Libero.FusionCharts&quot;</span>&nbsp;<span 
                style="color:red">Namespace</span><span style="color:blue">=&quot;Libero.FusionCharts.Control&quot;</span>&nbsp;<span 
                style="color:red">TagPrefix</span><span style="color:blue">=&quot;fcl&quot;</span>&nbsp;<span 
                style="background: yellow">%&gt;</span><o:p></o:p></span></pre>
            <pre><span style="font-family:Consolas;color:blue">&lt;</span><span style="font-family:
Consolas;color:maroon">fcl</span><span style="font-family:Consolas;color:blue">:</span><span 
                style="font-family:Consolas;color:maroon">FChart</span><span style="font-family:
Consolas">&nbsp;<span style="color:red">runat</span><span style="color:blue">=&quot;server&quot;</span>&nbsp;<span 
                style="color:red">ID</span><span style="color:blue">=&quot;chtTopSalles&quot;</span>&nbsp;<span 
                style="color:red">Width</span><span style="color:blue">=&quot;530&quot;</span>&nbsp;<span 
                style="color:red">Height</span><span style="color:blue">=&quot;300&quot;</span>&nbsp;<span 
                style="color:blue">/&gt;</span><o:p></o:p></span></pre>
        
        </div>
        <br />
        In your code behind you will define:
        <ul>
            <li>The type of chart you want (see supported charts).</li>
            <li>All appearence properties, as backgroung color, titles, and so on.</li>
            <li>And the main part, the data, here using the DataSource property.</li>
        </ul>
        When you call <b>ShowChart</b> it automatically call DataBind to parse your data source <br />
        to chart's properties, and then, it calls ApplyTemplate to load template's definitions to your chart. 
        <div class="container">
        
            <pre style="font-family: consolas"><span style="color: green">//&nbsp;Create&nbsp;a&nbsp;chart</span>
<span style="color: #2b91af">Pie2DChart</span>&nbsp;oChart&nbsp;=&nbsp;<span style="color: blue">new</span>&nbsp;<span 
                style="color: #2b91af">Pie2DChart</span>();
 
<span style="color: green">//&nbsp;Set&nbsp;properties</span>
oChart.Background.BgColor&nbsp;=&nbsp;<span style="color: #a31515">&quot;ffffff&quot;</span>;
oChart.Background.BgAlpha&nbsp;=&nbsp;50;
oChart.ChartTitles.Caption&nbsp;=&nbsp;<span style="color: #a31515">&quot;Top&nbsp;seller&nbsp;(%)&quot;</span>;
oChart.ChartTitles.SubCaption&nbsp;=&nbsp;<span style="color: #a31515">&quot;November&quot;</span>;
 
<span style="color: green">//&nbsp;Set&nbsp;a&nbsp;template</span>
oChart.Template&nbsp;=&nbsp;<span style="color: blue">new</span>&nbsp;Libero.FusionCharts.Template.<span 
                style="color: #2b91af">OfficeTemplate</span>();
 
<span style="color: green">//&nbsp;Set&nbsp;data</span>
<span style="color: #2b91af">DataTable</span>&nbsp;dtSample&nbsp;=&nbsp;GetSalesDataTable();
oChart.DataSource&nbsp;=&nbsp;dtSample;
oChart.DataTextField&nbsp;=&nbsp;<span style="color: #a31515">&quot;SallesmanName&quot;</span>;
oChart.DataValueField&nbsp;=&nbsp;<span style="color: #a31515">&quot;PercentTotalSell&quot;</span>;
 
<span style="color: green">//&nbsp;Link&nbsp;the&nbsp;WebControl&nbsp;and&nbsp;the&nbsp;Chart</span>
chtTopSalles.ShowChart(oChart);</pre>
        
        </div>
        <br />
    </div>
    </form>
</body>
</html>
